> ## Documentation Index
> Fetch the complete documentation index at: https://docs.publishbuddy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List profile hashtags



## OpenAPI

````yaml /openapi.json get /profiles/{profile}/hashtags
openapi: 3.1.0
info:
  title: PublishBuddy
  version: 0.0.1
servers:
  - url: https://api.publishbuddy.com/v1
security: []
paths:
  /profiles/{profile}/hashtags:
    get:
      tags:
        - ProfileHashtags
      summary: List profile hashtags
      operationId: profileHashtags.index
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile UUID
          schema:
            type: string
        - name: timeframe
          in: query
          schema:
            type: string
            enum:
              - last_14_days
              - last_7_days
              - last_30_days
              - last_90_days
              - prev_month
              - this_month
              - this_week
              - for_all_time
        - name: Authorization
          in: header
          required: true
          description: JWT token.
          schema:
            type: string
          example: Bearer 123
      responses:
        '200':
          description: Array of `HashtagResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/HashtagResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    HashtagResource:
      type: object
      properties:
        name:
          type: string
          description: Hashtag name
        engagement:
          type: string
          description: Overall engagement rate for total hashtag usages
        reach:
          type: string
          description: Overall reach rate for total hashtag usages
      required:
        - name
        - engagement
        - reach
      title: HashtagResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````